AUTOSAR System Description Network Explorer

Start Page

Screenshot

Short Description

The AUTOSAR System Description Network Explorer is a file editor that supports visualizing and editing the communication aspects of AUTOSAR system description files and ECU extracts of system descriptions. Schema version 3.1.4, 3.2.1, 3.2.2 4.0.3, 4.1.2 and 4.2.1 are fully supported.

The AUTOSAR System Description Network Explorer visualizes the data in a structured and user-oriented way. It’s not necessary to know all details of the system template structure to create and modify AUTOSAR system description files with the AUTOSAR System Description Network Explorer.

General

Views/Dialogs
  • New Features
  • Concepts
  • Edit Functionality

Screen Layout

Closed Views

  • Communication Matrix View
  • Controller Parameter View
  • Filter View
  • FlexRay Schedule Table View
  • Frame View
  • Navigation View
  • PDU View
  • Physical Channel View
  • Property View
  • Signal Group View
  • Signal View
  • Topology View

Closed Dialogs

  • Edit Frame Dialog
  • Edit PDU Dialog
  • Edit Physical Channel Dialog
  • Edit Signal Dialog
  • Edit Signal Group Dialog
  • Export Signal List Dialog

Version 1.7.0
© Vector Informatik GmbH


New Features

Start Page » New Features

Version 1.7

  • Support of AUTOSAR Schema 4.2.1.

Version 1.6 SP2

  • ASR 4.1.x: The FlexRay cluster object supports the properties tranceiverStandByDelay and baudrate.
  • Signal export: Support of node and PDU type filtering.
  • Performance optimization for the deletion of ECUs with large Frame/PDU list.

Version 1.6 SP1

  • Ethernet
  • Support (display, editing) of multiple Ethernet components (physical channels, VLANs, coupling elements, coupling ports, coupling port connections)
  • New Views: Topology, Physical Channels
  • Support of further PDU types
  • General Purpose PDUs
  • DCM-I-PDUs within frame context and without frame context
  • Integrated schema validation, access via toolbar
  • Support of elements which are not mapped (PDU, signals, signal groups)
  • Display in different views
  • Mapping on the respective higher-level elements
  • Deleting of elements which are not mapped
  • Display of CRC signal definitions in Layout view
  • Support of ASR schema 4.1.2
  • ASR 4.1.2: Connection of the Property baud rate for all supported networks
  • ASR 4.x: Connection of the Transfer Property in Edit Signal dialog and in Property view
  • ASR 4.x: Support of basis data types at signal definition.


Screen Layout

Start Page » Screen Layout

Toolbar

You can use the toolbar to open/close/save files, to choose the current network from the opened system description file, to create Frames and ECUs, to edit and delete objects and to toggle decimal/hexadecimal representation of numerical values.

Navigation and Filter View

The Navigation and Filter view consists of a top (filter-) and a bottom (navigation-) area. The bottom area provides shortcut buttons to switch to individual views visualizing different aspects of the communication data like network topology or object lists. The content of the top area depends on the selected view and provides filter functionality for the selected view.

Main View

The main view visualizes a particular aspect of the communication data dependent on the view chosen in the Navigation view:

  • Topology (Ethernet clusters only)
  • Controller Parameters (FlexRay clusters only)
  • Communication Matrix
  • Schedule Table (FlexRay clusters only)
  • Physical Channels (Ethernet clusters only)
  • Frames
  • PDUs
  • Signal Groups
  • Signals

Property View

The Property view visualizes the properties of the currently selected object. The properties can also be changed there. For some particular object types, the Property view is divided by a register containing individual tabs (Standard, Expert, NM, NM / TP, EndToEndProtection).


Concepts

Start Page » Concepts

The AUTOSAR System Description Network Explorer is a tool used to visualize, create and modify communication data stored in an AUTOSAR system description or ECU extract of a system description. The AUTOSAR system description contains elements and relations describing the system’s topology, the functional level of the system and the network communication aspect. The AUTOSAR System Description Network Explorer covers the topology and the communication part. That means that elements that are not related to the network communication are not displayed in the AUTOSAR System Description Network Explorer.

Elements related to the network communication are:

  • ECUs
  • Networks (clusters / physical channels)
  • Frames
  • PDUs
  • Signal groups
  • Signals and their encodings
  • Timing aspects (e.g. FlexRay schedule)

The AUTOSAR system description is a XML based file format. The elements describing the network communication are based on the AUTOSAR system template. The nomenclature of the elements is comparable to other exchange formats like FIBEX but the structures of the AUTOSAR system description format is more complex. Therefore the AUTOSAR System Description Network Explorer visualizes the communication aspects in a user-friendly way and hides format details as far as possible.

The following overview shows the communication-related elements in the AUTOSAR system template and how they can be visualized and modified using the AUTOSAR System Description Network Explorer:

Closed Communication Cluster, Physical Channel

The communication cluster (either a CAN, FlexRay or Ethernet communication cluster) describes the communication within one network. There can be more than one communication cluster in an AUTOSAR system description file. The AUTOSAR System Description Network Explorer can focus exactly one of the available communication clusters at a time. You can choose the communication cluster in focus in the corresponding selection box in the toolbar.

The properties of a communication cluster can be modified in the Property view of the Communication Matrix view, the Controller Parameter view (only FlexRay clusters) or the Topology view (only Ethernet clusters).

To create a new file with a CAN, FlexRay or Ethernet communication cluster, use the New File command available in the menu bar or the toolbar button [image]. AUTOSAR system description files created with the AUTOSAR System Description Network Explorer contain exactly one CAN, FlexRay or Ethernet communication cluster. CAN clusters always have one physical channel, FlexRay clusters may contain one or two channels, Ethernet clusters have a arbitrarily number of physical channels. It is neither possible to delete a communication cluster in an existing file nor to create an additional one in an existing file.

Closed ECU Instance, Communication-Connector, Communication-Controller

The ECU instance represents a physical control unit which can be connected to one or several networks.

The Communication-Connector represents a connection between an ECU instance and a particular physical channel of a communication cluster.

The Communication-Controller represents a component of the ECU that manages bus communication for a particular communication cluster (including all of its physical channels) connected to the ECU.

With the AUTOSAR System Description Network Explorer, these three elements are created at once when creating a new ECU. A new ECU automatically gets a new controller and is connected to the currently active cluster.

The properties of these elements can be modified in the Communication Matrix view or the Topology view (only Ethernet clusters) where the Property view visualizes all relevant ECU and controller parameters when choosing an ECU in the left pane. In the context of a FlexRay cluster, an additional Controller Parameters view is available where the properties of all controllers are visualized in table form. The properties can be modified there as well.

When deleting an ECU in the context of a particular cluster, only the controller and the Communication-Connector are deleted in the first step (including all sender and receiver relations). The ECU instance itself is only deleted when it is not connected to any cluster any more.

Closed System-Signal, System-Signal-Group, I-Signal, I-Signal-Group, I-Signal-Triggering

The System-Signal represents the abstract information exchanged between software components running on ECUs. It is independent from communication clusters.

The I-Signal represents the physical signal transporting the information of a concrete System-Signal on the bus.

System-Signal-Groups are a collection of System-Signals. For schema versions 3.x the System-Signal-Group is represented by an I-Signal. For schema versions 4.x it is represented by an I-Signal-Group.

I-Signal-Group refers to a set of I-Signals that must always be kept together. All I-Signals within one I-Signal-Group show the same behaviour.

The AUTOSAR System Description Network Explorer visualizes an I-Signal and its System-Signal as one item. The Signal view shows all I-Signals that are mapped on a PDU in the current network. I-Signals not mapped to any PDU are not visible in the signal view. Such signals can be mapped to a PDU using the Map Existing Signal function in the Edit PDU dialog. The corresponding signal is then visible in the Signal view again.

The I-Signal-Triggering defines the usage of a particular I-Signal in a network. It contains sender and receiver information and must be a subset of the corresponding PDU- and Frame-Triggering.
If an I-Signal is mapped on several PDUs or/and has several I-Signal-Triggerings, it will appear several times in the Signal view.

New signals can be created in the context of a PDU. In the Edit PDU dialog there is a function Create Signal which creates a System-Signal, I-Signal and I-Signal-Triggering in one operation and maps the I-Signal to the PDU.

Closed Data Type, Computation Method, Unit

These and their related elements describe the conversion rules how signal raw (transmitted) values are converted to physical (application-) values.

A set of such encoding rules that can be applied to a particular signal is called computation method.

There are several cases how a raw signal value can be mapped to a physical value:

  • Identical
    An identical encoding means that the physical value equals the raw value in the whole value range. A newly created signal has an identical encoding which means that no computation method is assigned
  • Linear
    A linear encoding means that the raw signal value has to be converted to physical value by a linear formula. E.g. phys = 0.1 * raw + 120
  • Scale-Linear
    The same as Linear but with different linear formulas for different raw value ranges.
  • Text-Table
    Raw values of Text-Table encoded signals are interpreted as individual textual meanings. That means that individual values of the value range have special semantics.
    E.g. 0: On; 1: Off; 2: Error
  • Others
    The AUTOSAR System Description Format also supports non-linear encodings. Such encodings are not supported by the AUTOSAR System Description Network Explorer and will be visualized as Complex in the Signal view.

The unit is associated with the computation method and describes the actual meaning of the signals associated with this computation method.

The data type describes the format of the raw (transmitted) signal value and can refer zero or one computation method.

The computation method and the unit can be edited in the Edit Signal dialog and in the Property view of a signal. The data type is created automatically on demand.

Closed PDU, PDU-Triggering

The PDU (Protocol Data Unit) represents a data unit transported on a frame. It contains payload and control information exchanged within the protocol stack. Depending on the application of the PDU, the AUTOSAR system description distinguishes different kinds of PDUs:

  • Signal I-PDU (PDU of the AUTOSAR COM)
  • N-PDU (PDU of the transport layer)
  • DcmI-PDU (PDU of the Diagnostic Communication Manager)
  • Nm-PDU (Network Management PDU)
  • Multiplexed-I-PDU (PDU containing varying Signal I-PDUs at the same position)
  • I-PDU (Category of interaction layer PDUs: Signal I-PDU, N-PDU, DcmI-PDU, Multiplexed-I-PDU)
  • XCP-PDU (XCP=Universal Measurement and Calibration Protocol. The X stands for the variable and exchangeable transport layer, like CAN, FlexRay, Ethernet, etc.)
  • General-Purpose-I-PDU (with category XCP replaces the deprecated XCP-PDU)

To create a new PDU use the [Create PDU] function in the context of the Edit Frame dialog.

Closed Frame, Frame-Triggering

The frame represents the information unit transported on the bus medium. It contains one or more PDUs that again carry payload e.g. in the form of signals.

The Frame-Triggering defines the usage of a particular frame in a network. It contains sender and receiver information. It holds the timing information of the frame in the context of a particular network.
The Frame-Triggering is automatically created and deleted together with its frame.
When changing the sender and/or receiver of a frame, the changes will automatically be applied to the corresponding I-PDU-Triggerings and I-Signal-Triggerings.

To create a new frame, use the New Frame command available in the main toolbar which creates a frame and Frame-Triggering in one operation and enables to create subsequent elements like PDUs and signals and map them to the frame.

Closed Signal-Port, I-PDU-Port, Frame-Port

The ECU communication port instances Signal-Port, I-PDU-Port and Frame-Port define which I-Signals, I-PDUs and frames are sent and received by a particular ECU in the context of a particular network. The port elements are not directly visible in the AUTOSAR System Description Network Explorer user interface but they are automatically modified when changing the senders and receivers of signals, PDUs and frames.

The senders and receivers of a frame and its subsequent PDUs and signals should be consistent. Problematic inconsistencies will be reported.

Closed Init Value, Invalid Value, Compu Default Value

The AUTOSAR system template defines a number of signal special values:

  • Init value
    This value is defined for a System-Signal in the form of a reference to a constant value. This reference can be modified in the (Expert-) Property view of a signal. The actual value of the constant can also be changed there. New constants cannot be created by the AUTOSAR System Description Network Explorer.
  • Invalid value
    This value is defined in the context of the data type. It can be changed in the Property view of all signals having a data type assigned. Please note that changing the invalid value affects all signals using the same data type the invalid value is changed for.
  • Compu default value
    This value is defined in the context of a computation method. It can be changed in the Property view of all signals having a computation method assigned. Please note that changing the compu default value affects all signals using the same computation method the compu default value is changed for.

Closed Incomplete Elements

Incomplete Elements represent elements (signals, signal groups, PDUs) with missing mapping or triggering.

Note

Note

Elements linked in another cluster will cause incomplete elements as well.

To show these elements, select menu path View|Show Incomplete Elements. Repeat this step to hide them again.

Compared to regular elements, incomplete elements are shown inactive with a small question mark in the Main view. e.g.

When deleting a regular signal, signal group or PDU, its mapping and triggering are deleted, which causes the element to turn into an incomplete element.

Deleting an incomplete element removes this element permanently.


Edit Functionality

Start Page » Edit Functionality

To edit properties of an object, just select the corresponding object in the active view and use the Property view to change individual values.

You can use the corresponding toolbar buttons to create ECUs, unmapped DCM-I-PDUs and frames. PDUs can be created and mapped out of the Edit Frame dialog. Signals can be created and mapped out of the Edit PDU dialog and out oft he Edit Signal Group Dialog. Signal groups can be created and mapped out of the Edit PDU dialog. Computation methods and units can be created and edited out of the Edit Signal dialog.

Senders and receivers of frames, PDUs, signal groups and signals can be edited in the Edit Frame, Edit PDU, Edit Signal Group and the Edit Signal Dialog.


Edit Frame Dialog

Start Page » Dialogs » Edit Frame Dialog

You can open the Edit Frame dialog by double-clicking a frame or creating a new one (Edit|Create Frame... or toolbar button [image]).

In the dialog you can:

  • Edit frame properties like name, length and ID (for CAN frames)
  • Edit schedule-relevant timings of FlexRay frames
  • Assign sender and receiver nodes
  • Create new PDUs (N-PDUs, NM-PDUs, XCP-PDUs, Multiplexed PDUs, DCM-I-PDUs, General-Purpose-PDUs and Signal-I-PDUs) and map them to the frame
  • Add existing PDUs to the frame
  • Remove PDUs from the frame
  • Change the start position of a PDU on frame

Closed Screenshot

Concepts | Frame, Frame-Triggering | Concepts | PDU, PDU-Triggering


Edit PDU Dialog

Start Page » Dialogs » Edit PDU Dialog

You can open the Edit PDU dialog by double-clicking a PDU or via the Edit Frame frame dialog ([Edit PDU]or [Create PDU] button).

In the dialog you can:

  • Edit PDU properties like name and length
  • Assign sender and receiver nodes
  • Create new signals and map them to the PDU (for Signal-I-PDUs and NM-PDUs)
  • Add existing signals to the PDU (for Signal-I-PDUs and NM-PDUs)
  • Remove signals from the PDU (for Signal-I-PDUs and NM-PDUs)
  • Change the start position of a signal on PDU
Note

Note

You can only define sender/receiver nodes for the PDU that are already sender/receiver nodes of the frame.

Closed Screenshot

Concepts | PDU, PDU-Triggering | Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering


Edit Physical Channel Dialog

Start Page » Dialogs » Edit Physical Channel Dialog

You can open the Edit Physical Channel dialog by double-clicking a Physical Channel or creating a new one (Edit|Create Physical Channel...or toolbar button [image] » [image]).

In the dialog you can:

  • Edit Physical Channel properties like name
  • Assign ECUs (Create communication connectors)
  • Create VLan
  • Edit VLan properties like name and ID
  • Add and remove VLan members (Coupling Ports)

Closed Screenshot

Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering | Concepts | Data Type, Computation Method, Unit | Concepts | Init Value, Invalid Value, Default Value


Edit Signal Dialog

Start Page » Dialogs » Edit Signal Dialog

You can open the Edit Signal dialog by double-clicking a signal in the signal list or via the Edit PDU dialog ([Edit Signal]or [Create Signal] button).

In the dialog you can:

  • Edit signal properties like name, length and data type policy
  • Assign sender and receiver nodes
  • Change the start position, update bit position, byte order and transfer property of the signal on PDU
  • Create, delete, assign and edit signal computation methods

  • Create, delete, assign and edit signal base type

Note

Note

You can only define sender/receiver nodes for the signal that are already sender/receiver nodes of the PDU.

Computation Methods

The Computation Method area of the Edit Signal dialog allows you to create, delete and rename computation methods. The computation methods selection box allows you to choose one particular computation method to be assigned to the currently edited signal. A signal can have zero or one computation method.

There are four pages to define the details of a computation method:

  • Linear
    If the signal computation method has only one linear encoding, it can be edited here.
  • Text Table
    If the computation method defines a text table, you can edit it here. To remove linear encodings or entries in the text table, you can do this here or in the Scale-Linear page respectively. Remove the corresponding lines by clicking the [X] button in the first column of the table.
  • Scale-Linear
    If the signal encoding has more than one linear encoding, switch to this page to add more linear encodings.
  • Units
    This page shows a list of all units available in the system description. Units can be modified, added and removed here. To assign a particular unit to the computation method of the signal, switch to the Linear page and choose a unit in the Unit selection box.

Closed Screenshot

Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering | Concepts | Data Type, Computation Method, Unit | Concepts | Init Value, Invalid Value, Default Value


Edit Signal Group Dialog

Start Page » Dialogs » Edit Signal Group Dialog

You can open the Edit Signal Group dialog by double-clicking a signal group in the signal list or via the Edit PDU dialog ([Edit Signal Group]or [Create Signal Group] button).

In the dialog you can:

  • Edit signal group properties like name
  • Assign sender and receiver nodes
  • Create new signals, map them to the parent PDU and assign them to the signal group
  • Add existing signals to the parent PDU and assign them to the signal group
  • Remove signals from the signal group or from the parent PDU
  • Change the update bit position and transfer property of the signal group on PDU

Closed Screenshot

Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering | Concepts | Data Type, Computation Method, Unit | Concepts | Init Value, Invalid Value, Default Value


Signal Export

Start Page » Dialogs » Export Signal List Dialog

Menu Path: File|Export Signal List...

With the help of this dialog you can select a subset of signals and save the selection to a file. When the data are exported, a synoptic table will be written in the destination file.

The export is always carried out signal-based. The newly created file can then be opened automatically in another program for further processing.

The following file type is available for the destination file:

Destination Type | Action
CSV file | Character Separated Values (ASCII format)

Signal Selection

In the Signal Selection area, you can select your specific subset of signals. On the one hand, you can specify allowed PDU types for the parent PDU. On the other hand, you can include or exclude signals according to cluster, channel, ECU, or transmission mode.

Export File Settings

In the Export File Settings area, you can select the Separator via the list and the File Path for the CSV file that will be created.


Communication Matrix View

Start Page » Views » Communication Matrix View

The Communication Matrix view visualizes which ECUs interact with each other in the currently selected cluster.

  • Navigation view
    Visualizes the ECUs connected to the current cluster.
  • Main view
    By selecting a particular ECU, here the the Rx and Tx relationships of that ECU are shown.
    The Tx Relationships area shows the frames sent by the selected ECU and which ECUs receive them.
    The Rx Relationships area shows the frames received by the selected ECU and which ECUs send them.
    To display an overview of the Rx and Tx relationships of all ECUs, select the cluster item in the left pane.
  • Property view
    Shows the properties of the selected cluster/ECU.

Closed Screenshot

Concepts | Communication Cluster, Physical Channel | Concepts | ECU Instance, Communication-Connector, Communication-Controller


Controller Parameter View

Start Page » Views » Controller Parameter View

The Controller Parameter view provides a comprehensive overview of all cluster- and controller-specific parameters within the FlexRay cluster.

  • Navigation view
    Visualizes the ECUs connected to the current cluster.
  • Main view
    Shows each ECU's controller parameters.
    The upper region of the Controller Parameter view shows a graphical representation of the schedule and its timing hierarchy.
  • Property view
    To modify a concrete ECU’s controller parameters, select the ECU in the Navigation view and modify the parameters in the Property view. The cluster-specific parameters can be modifies in the same way.

Closed Screenshot


Filter View

Start Page » Views » Filter View

Filter provides the functionality to filter the objects shown in the Main view by specific aspects (e.g. Rx/Tx objects of an ECU, frames, PDU types, signal groups of a PDU etc.).
The available filter aspects are dependent on the currently active Main view. To deactivate the current filter, click the [Disable Filter] button in the upper area of the Filter view.

This view is available for Frame, PDU, Signal Group and Signal view.

Closed Screenshot


FlexRay Schedule Table View

Start Page » Views » FlexRay Schedule View

The FlexRay Schedule Table view is intended to design the schedule table of the FlexRay cluster.

For both segments (static and dynamic) of the FlexRay cluster a dedicated view is provided. Both have the same look and feel and differ only in segment specific functionality.

  • Navigation view
    An ECU/Frames, Frames and PDUs oriented presentation is provided here, which can be used to quickly focus a specific frame or PDU.
  • Main view
    This area contains the static and dynamic segment respectively.
    The possibility to switch between these both segments is provided in the upper region.
    The Mapped Elements layout view [image] visualizes the frame or PDU layout of the selected frame or PDU.
    The schedule orientation and the visualization can be adapted by the usage of the View Options menu in the upper right region of the Main view.
    Frames can be moved within the schedule via drag & drop.
  • Property view
    Detailed information about the selected frame/PDU and its mapped PDUs/signals is shown here.

Closed Screenshot


Frame View

Start Page » Views » Frame View

The Frame view visualizes all frames used in the current cluster in a table-oriented way.

  • Navigation and Filter view
    Visualizes the ECUs connected to the current cluster.
    By selecting one ECU in the Filter view, the table in the Main view will only show the frames of the currently selected ECU.
  • Main view
    Provides an overview of the frames in the table-oriented view.
  • Mapped Elements list view
    Shows a list of the signals and PDUs mapped on the currently selected frame. Some basic properties, like start position and update bit, are shown here as well.
  • Mapped Elements layout view
    Visualizes signals, signal groups and PDUs mapped on the currently selected frame.
    The [Show PDUs] button allow displaying only the signals or signals and PDUs of the currently selected frame.
    The update bits of PDUs and signals are marked with a red square. Signals with the length of one bit are marked with a white square.
  • Property view
    To modify the properties of a frame, select it in the table-oriented view and change the properties here.
Note

Note

The bit position of a signal mapped on a frame always relates to its containing PDU as a signal is never directly mapped to a frame.

You can choose the visible columns using the Column Chooser function available in the shortcut menu of the table header.

Closed Screenshot

Concepts | Frame, Frame-Triggering | Concepts | Signal-Port, I-PDU-Port, Frame-Port


Navigation View

Start Page » Views » Navigation View

The content of the Navigation view depends on the type of the currently selected network.

The following views are available dependent on the network types:

CAN

FlexRay

Ethernet

—

—

Toplogy

—

Controller Parameters

—

Communication Matrix

Communication Matrix

—

—

Schedule Table

—

—

—

Physical Channels

Frames

Frames

Frames

PDUs

PDUs

PDUs

Signal Groups

Signal Groups

Signal Groups

Signals

Signals

Signals

Closed Screenshot


PDU View

Start Page » Views » PDU View

The PDU view visualizes all PDUs used in the current cluster in a table-oriented way.

  • Navigation and Filter view
    Three filter types are available here: ECU Filter, Frame Filter and PDU Type Filter.
  • Main view
    Provides an overview of the PDUs in the table-oriented view.
    There are six types of PDUs: N-PDUs, Signal-I-PDUs, NM-PDUs, Multiplexed-I-PDUs, Dcm-I-PDUs and XCP-PDUs.
  • Mapped Elements list view
    Shows a list of signals mapped on the currently selected PDU. Some properties, like start position, update bit and respective signal group, are shown here as well.
    For Multiplexed-I-PDUs there is a Selector Field option. The list of signals changes correspondingly when switching between selector field codes.
  • Mapped Elements layout view
    Visualizes signals mapped on the currently selected PDU. In case this PDU contains signal groups, they are drawn below the respective signals.
    For Multiplexed-I-PDUs there is a Selector Field option. By switching the selector field code, you can switch between layouts of the Multiplexed-I-PDU.
  • IL Timings view
    This view is provided only for Signal-I-PDUs. It shows the I-PDU timings for the selected PDU, as well as Data Filter for signals of that PDU. The I-PDU timings and Data Filter can also be modified here.
  • Property view
    To modify the properties of a PDU, select it in the table-oriented view and change the properties here.

You can choose the visible columns using the Column Chooser function available in the shortcut menu of the table header.

Closed Screenshot

Concepts | PDU, PDU-Triggering | Concepts | Signal-Port, I-PDU-Port, Frame-Port


Physical Channel View

Start Page » Views » Physical Channel View

The Physical Channel view visualizes all physical channels used in the current Ethernet cluster in a table-oriented way.

  • Navigation view
    Visualize the current communication cluster.
  • Main view
    Provides an overview of the physical channels in the table-oriented view.
  • Mapped Elements list view
    Shows a list of the ECUs and Coupling Elements assigned to the currently selected physical channel. An ECU can be associated via the VLan membership of a coupling port or the communication connector. A coupling element can be associated via the VLan membership of a coupling port or the assigned ECU.
  • Property view
    To modify the properties of a physical channel, select it in the table-oriented view and change the properties here.

You can choose the visible columns using the Column Chooser function available in the shortcut menu of the table header.

Closed Screenshot

Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering | Concepts | Data Type, Computation Method, Unit | Concepts | Signal-Port, I-PDU-Port, Frame-Port | Concepts | Init Value, Invalid Value, Default Value


Property View

Start Page » Views » Property View

The Property view visualizes the properties of the currently selected object. The properties can also be modified there. For some object types the Property view is divided into a Standard and an Expert view (e.g. signals). The Property view for an individual object type may also provide access to related objects (e.g. computation method of a signal).

Error Indicators

Potential problems of individual property values are visualized with error indicators. Moving the mouse cursor over an error indicator shows the problem details in a ScreenTip. The kind of the error indicator icon implies the severity of the problem:

Icon

Description

Serious problem which is highly recommended to be fixed before the system description is used on other tools

Problem with medium severity which typically does not affect other tools using this system description

Information

Optional Attributes

Most properties in the system description format are optional which means that the property is defined for an individual object type but does not necessarily need to contain a concrete value.

Icon

Description

For properties which have no value assigned, this icon appears. In order to assign a value to this property, just click on this icon.

In specific cases this icon may visualize a not assigned property. This icon cannot be clicked as no value can be assigned to the underlying property (e. g. due to a missing precondition or a non-modifiable object).

Closed Screenshot

Screen Layout


Signal Group View

Start Page » Views » Signal Group View

The Signal Group view visualizes all signal groups used in the current cluster in a table-oriented way.

  • Navigation and Filter view
    Three filter types are available here: ECU Filter, Frame Filter and PDU Filter.
  • Main view
    Provides an overview of the signal groups in the table-oriented view.
    The lower region contains a Detail view where the layout and the content of the currently selected signal group is visualized. The signals mapped to the currently selected signal group, as well as their start positions and update bits are visualized there.
  • Mapped Elements list view
    Shows a list of signals which belong to the currently selected signal group. Some properties, like start position and length, are shown here as well.
  • Mapped Elements layout view
    Visualizes signals which belong to the currently selected signal group.
    The update bits of signals are marked with a red square. Signals with the length of one bit are marked with a white square.
  • Property view
    You can only modify some simple properties of a signal group by selecting it in the table-oriented view and change the properties here.
    If a selected signal group has an End-To-End-Protection, an EndToEndProtection page appears next to the Standard page in the Property view.

You can choose the visible columns using the Column Chooser function available in the shortcut menu of the table header.

Closed Screenshot

Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering | Concepts | Data Type, Computation Method, Unit | Concepts | Signal-Port, I-PDU-Port, Frame-Port | Concepts | Init Value, Invalid Value, Default Value


Signal View

Start Page » Views » Signal View

The Signal view visualizes all signals used in the current cluster in a table-oriented way.

  • Navigation and Filter view
    Four filter types are available here: ECU Filter, Frame Filter, PDU Filter and Signal Group Filter.
  • Main view
    Provides an overview of the signals in the table-oriented view.
  • Property view
    To modify the properties of a signal, select it in the table-oriented view and change the properties here.

You can choose the visible columns using the Column Chooser function available in the shortcut menu of the table header.

Closed Screenshot

Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering | Concepts | Data Type, Computation Method, Unit | Concepts | Signal-Port, I-PDU-Port, Frame-Port | Concepts | Init Value, Invalid Value, Default Value


Topology View

Start Page » Views » Topology View

The Topology view visualizes which physical channels, ECUs, Coupling Elements interact with each other in the currently selected cluster.

  • Navigation view
    Visualizes the topology of the current cluster in a tree view. It displays the relationships between physical channels, ECUs and Coupling Elements.
  • Main view
    By selecting communication cluster in the navigation view, here relationships of Physical Channels are shown in the Main view. The list view beneath shows all elements responsible for this relationship.
    By selecting a particular physical channel, here relationships of ECUs and Coupling Elements are shown in the Main view (Coupling Port connections). The list view above shows both ports of the coupling port connection.
    To display an overview of the coupling ports of an ECU or a Coupling Element, select an ECU or a Coupling Element.
  • Property view
    Shows the properties of the selected cluster/Physical Channel/ECU/Coupling Element/Coupling Port.

You can choose the visible columns using the Column Chooser function available in the shortcut menu of the table header.

Closed Screenshot

Concepts | System-Signal, System-Signal-Group, I-Signal, I-Signal-Triggering | Concepts | Data Type, Computation Method, Unit | Concepts | Signal-Port, I-PDU-Port, Frame-Port | Concepts | Init Value, Invalid Value, Default Value